# $Revision: 1.11.2.1 $, $Date: 2007/03/01 00:40:52 $
%include	/usr/lib/rpm/macros.php
%define		_class		MDB2
%define		_subclass	Driver_sqlite
%define		_status		stable
%define		_pearname	MDB2_Driver_sqlite

Summary:	%{_pearname} - sqlite MDB2 driver
Summary(pl):	%{_pearname} - sterownik sqlite dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.3.0
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3bf6b28817482409b80b8c232d539b2d
URL:		http://pear.php.net/package/MDB2_Driver_sqlite/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(sqlite)
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.3.0
Requires:	php-pear-PEAR-core >= 1:1.4.0b1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the SQLite MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl
Sterownik SQLite dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/sqlite.php
%{php_pear_dir}/MDB2/Driver/Manager/sqlite.php
%{php_pear_dir}/MDB2/Driver/Native/sqlite.php
%{php_pear_dir}/MDB2/Driver/Reverse/sqlite.php
%{php_pear_dir}/MDB2/Driver/Function/sqlite.php
%{php_pear_dir}/MDB2/Driver/sqlite.php
%{php_pear_dir}/data/MDB2_Driver_sqlite

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-MDB2_Driver_sqlite.spec,v $
Revision 1.11.2.1  2007/03/01 00:40:52  glen
- 1.3.0

Revision 1.11  2006/11/26 14:11:30  glen
- rel 2: use php(extension) virtuals

Revision 1.10  2006/09/02 17:26:39  adamg
- updated to 1.2.1

Revision 1.9  2006/08/06 12:07:17  adamg
- updated to 1.2.0

Revision 1.8  2006/06/21 23:31:12  adamg
- updated to 1.1.0

Revision 1.7  2006/06/03 21:47:01  glen
- 1.0.2

Revision 1.6  2006/06/03 21:29:46  glen
- updated deps

Revision 1.5  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.4  2006/04/24 10:42:29  adamg
- updated to 1.0.1

Revision 1.3  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.2  2006/02/16 18:17:53  glen
- 1.0.0 stable

Revision 1.1  2005/12/14 21:53:54  adamg
- new (drivers for MDB2 that are now released as separate packages)
